# coding: utf-8

module Adunblock
  module ViewHelpers
    def adunblock_code
      require 'open-uri'
      adunblock_id = Adunblock.config.adunblock_id
      if adunblock_id
        Rails.cache.fetch('adunblock_code', :expires_in => 6.hours) do
          open("http://adunblock.com/code/#{adunblock_id}.html").read
        end.html_safe
      else
        Rails.logger.error "Vous devez créer un fichier de configuration avec l'identifiant de votre site récupéré sur Adunblock.com"
      end
    end
  end
end
